Loading...
Searching...
No Matches
BALL::AxialPredicate Class Reference

`#include <BALL/KERNEL/standardPredicates.h>`

Inheritance diagram for BALL::AxialPredicate:

## Public Member Functions

virtual bool | operator() (const Atom &atom) const
Public Member Functions inherited from BALL::ExpressionPredicate
| ExpressionPredicate ()
| ExpressionPredicate (const ExpressionPredicate &predicate)
| ExpressionPredicate (const String &argument)
virtual | ~ExpressionPredicate ()
ExpressionPredicate & | operator= (const ExpressionPredicate &predicate)
virtual void | clear ()
bool | operator== (const ExpressionPredicate &predicate) const
virtual void | setArgument (const String &argument)
const String & | getArgument () const
Public Member Functions inherited from BALL::UnaryPredicate< Atom >
virtual | ~UnaryPredicate ()
virtual bool | operator() (const Atom &) const

## Additional Inherited Members

String | argument_

## Detailed Description

Axial predicate. This predicate tries to tell whether a C1 of a sugar is in axial position.

Definition at line 797 of file standardPredicates.h.

## Member Function Documentation

## operator()()

virtual bool BALL::AxialPredicate::operator() | ( | const Atom & | atom | ) | const

virtual

Axial predicate needed for the determination of Glycam parameters. This is no generally applicable predicate. Return true if the atom is a C in a 6 membered ring containing and is connected to an H which is standing perpendicular on the plane containing the atom itself and those two Cs of the ring which are each one atom away.

Parameters

  atom | the atom to test

Returns
  true, if the predicate is true, false otherwise

Reimplemented from BALL::ExpressionPredicate.